Home Forums Weaver Xtreme Theme Weaver Extreme Plus causing error

Viewing 6 posts - 1 through 6 (of 6 total)
  • Author
    Posts
  • #70758
    ajmiller
    Participant

    I have a message “This plugin failed to load properly and is paused during recovery mode”.

    I am currently in ‘recovery’ mode via WordPress. I have a lengthy error message which starts:-

    An error of type E_ERROR was caused in line 31 of the file /home/belnorth/public_html/wp-content/plugins/weaver-xtreme-plus/includes/weaver_xplus_admin_smartmenus.php

    Any help appreciated to get this sorted.

    Thanks

    #70759
    ajmiller
    Participant

    Update:- received a message from WordPress with the following info:-

    When seeking help with this issue, you may be asked for some of the following information:
    WordPress version 5.9.3
    Current theme: Weaver Xtreme (version 5.0.6)
    Current plugin: (version )
    PHP version 7.4.29

    Error Details
    =============
    An error of type E_PARSE was caused in line 1 of the file /home/belnorth/public_html/wp-content/themes/weaver-xtreme/admin/admin-core/admin-page-posts-meta-boxes.php. Error message: syntax error, unexpected ‘if’ (T_IF)

    #70760
    scrambler
    Moderator

    @weaver would need to have to comment on this.

    #70765
    Weaver
    Keymaster

    You are using Weaver Xtreme 5.0.6.  The file mentioned in the message is from the theme, and not the plugin. It may be corrupted as Line 1 in version 5.0.7 does not match the error message.

    Please update to 5.0.7 and try again.

    #70772
    ajmiller
    Participant

    Thanks, that worked. I don’t understand why the theme didn’t update automatically though. Thanks again.

    #70780
    Weaver
    Keymaster

    I think there is a separate WP setting to auto-update themes vs. plugins. Both require auto-update to be enabled. Otherwise you just get the notifications on the Update tab on the backend page.

Viewing 6 posts - 1 through 6 (of 6 total)
  • You must be logged in to reply to this topic.